Subject: bug#33870: 27.0.50; xref-goto-xref not configurable

From: martin rudalics <[email-masked]>
Date: Mon, 28 Jan 2019 19:38:58 +0100

> Thanks, some suggestions to simplify its usage:
 >
 > 1. avoid using dotted pair notation that often causes problems;

You probably mean separate 'direction' and 'window' entries instead of
the (direction . (WIN . DIR)).  But we didn't find a good term for
denoting the reference window and the two inherently belong together.

 > 2. instead of asking the user to invent a value to use for the selected window,
 >     allow omitting it in this case, by reversing WIN and DIR, for example:
 >
 >     display-buffer-in-direction (direction DIR WIN)
 >     display-buffer-in-direction (direction up main)
 >     display-buffer-in-direction (direction up) -- by default means
 >                                                   from the selected window

We can do that.

 > PS: what about 'resize-to-fit'?  I guess it's impossible to implement it
 > as an alist, because currently fit-window-to-buffer/preserve-size usually
 > are used as an argument of the macro 'with-displayed-buffer-window'.

If we don't implement it already via the window-height/window-width
entries we can add a window-size entry.  But I forgot what you wanted
here.

martin